//---------------------------------------------------------------------------
#ifndef TScanOptionsH
#define TScanOptionsH
#include <Classes.hpp>
//---------------------------------------------------------------------------
struct TScanOptions
{
	static const int PROPERTY_BASE_NAME;
	static const int PROPERTY_TYPE;
	static const int PROPERTY_MODIFICATION_TIME;
	enum
	{
		HASH_ALGORITHM_MD5,
		HASH_ALGORITHM_SHA_1,
		HASH_ALGORITHM_SHA_256,
	};
	AnsiString InclusiveFileExtensions;
	AnsiString ExclusiveFileExtensions;
	DWORD ExclusiveFileAttributes;
	int Properties;
	int HashAlgorithm;
};
//---------------------------------------------------------------------------
#endif

