//---------------------------------------------------------------------------
#ifndef TAutoCursorH
#define TAutoCursorH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TAutoCursor
{
private:
	TCursor FLastCursor;
	bool FRestored;
	__fastcall TAutoCursor(const TAutoCursor& ASrc);
	TAutoCursor& __fastcall operator=(const TAutoCursor& ASrc);
protected:
	__property TCursor LastCursor = {read=FLastCursor};
	__property bool Restored = {read=FRestored};
public:
	__fastcall TAutoCursor(TCursor ACursor);
	virtual __fastcall ~TAutoCursor();
	virtual void __fastcall Restore();
};
//---------------------------------------------------------------------------
#endif

