//---------------------------------------------------------------------------
#ifndef TFileTypeListH
#define TFileTypeListH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TFileTypeList : public TObject
{
private:
	class TFileExtensionList : public TStringList
	{
	private:
		__property bool CaseSensitivie = {};
	protected:
		virtual int __fastcall CompareStrings(const AnsiString S1,
			const AnsiString S2);
	public:
		__fastcall TFileExtensionList();
	};
	class TFileType : public TObject
	{
	private:
		AnsiString FValue;
	protected:
	public:
		__fastcall TFileType(AnsiString AValue);
		__property AnsiString Value = {read=FValue, write=FValue};
	};
	TFileExtensionList* FFileExtensions;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	AnsiString __fastcall GetItem(AnsiString AFileName) const;
	AnsiString __fastcall GetFileType(AnsiString AFileName) const;
	__property TFileExtensionList* FileExtensions = {read=FFileExtensions};
protected:
public:
	__fastcall TFileTypeList();
	virtual __fastcall ~TFileTypeList();
	void __fastcall Clear();
	__property AnsiString Items[AnsiString AFileName] = {read=GetItem};
};
//---------------------------------------------------------------------------
#endif

