//---------------------------------------------------------------------------
#ifndef TWorkerH
#define TWorkerH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TWorker : public TObject
{
public:
	typedef void __fastcall (__closure *TProgressEvent)(TObject* ASender,
		int ADone, int AAll);
private:
	TNotifyEvent FOnContinue;
	TProgressEvent FOnProgress;
protected:
	virtual void __fastcall DoContinue();
	virtual void __fastcall DoProgress(int ADone, int AAll);
public:
	__fastcall TWorker();
	virtual __fastcall ~TWorker();
	__property TNotifyEvent OnContinue = {read=FOnContinue,
		write=FOnContinue};
	__property TProgressEvent OnProgress = {read=FOnProgress,
		write=FOnProgress};
};
//---------------------------------------------------------------------------
#endif

