//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include "TFileSelector.h"
#include "TMenuLink.h"
#include "TScanField.h"
#include "TScanOptions.h"
#include "TScanRecord.h"
#include "TTypedList.h"
#include "TVirtualListView.h"
class TClipboardViewer;
class TFileSelector;
class TScanThread;
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
	TMainMenu* MainMenu1;
	TMenuItem* FileM1;
	TMenuItem* NewM1;
	TMenuItem* AddFilesM1;
	TMenuItem* AddDirectoryM1;
	TMenuItem* SaveAsM1;
	TMenuItem* ExitM1;
	TMenuItem* EditM1;
	TMenuItem* CutM1;
	TMenuItem* CopyM1;
	TMenuItem* PasteM1;
	TMenuItem* DeleteM1;
	TMenuItem* SelectM1;
	TMenuItem* AllM1;
	TMenuItem* NoneM1;
	TMenuItem* ReverseM1;
	TMenuItem* FirstInGroupM1;
	TMenuItem* SingleInGroupM1;
	TMenuItem* PriorityM1;
	TMenuItem* SetPrimaryM1;
	TMenuItem* SetSecondaryM1;
	TMenuItem* ToggleM1;
	TMenuItem* SearchM1;
	TMenuItem* FindM1;
	TMenuItem* FindNextM1;
	TMenuItem* FindPreviousM1;
	TMenuItem* ViewM1;
	TMenuItem* FitM1;
	TMenuItem* SortM1;
	TMenuItem* ByNameM1;
	TMenuItem* ByDirectoryM1;
	TMenuItem* BySizeM1;
	TMenuItem* ByTypeM1;
	TMenuItem* ByLastModifiedM1;
	TMenuItem* ByHashM1;
	TMenuItem* ByPriorityM1;
	TMenuItem* ByGroupM1;
	TMenuItem* ByErrorM1;
	TMenuItem* InvertM1;
	TMenuItem* ExtraFieldsM1;
	TMenuItem* SizeM1;
	TMenuItem* TypeM1;
	TMenuItem* LastModifiedM1;
	TMenuItem* HashM1;
	TMenuItem* ToolbarM1;
	TMenuItem* ButtonsM1;
	TMenuItem* CaptionsM1;
	TMenuItem* StatusBarM1;
	TMenuItem* PositionsM1;
	TMenuItem* ScanOptionsM1;
	TMenuItem* RestoreM1;
	TMenuItem* ConfirmM1;
	TMenuItem* ExecuteMultipleFilesM1;
	TMenuItem* DeleteFilesM1;
	TMenuItem* ScanM1;
	TMenuItem* StartM1;
	TMenuItem* ClearResultsM1;
	TMenuItem* ToolsM1;
	TMenuItem* OpenM1;
	TMenuItem* ExploreM1;
	TMenuItem* PropertiesM1;
	TMenuItem* TotalSizeM1;
	TMenuItem* CopyToDirectoryM1;
	TMenuItem* MoveToDirectoryM1;
	TMenuItem* MoveToRecycleBinM1;
	TMenuItem* CreateShortcutsM1;
	TMenuItem* HelpM1;
	TMenuItem* HelpM2;
	TMenuItem* AboutM1;
	TMenuItem* SeparatorM1;
	TMenuItem* SeparatorM2;
	TMenuItem* SeparatorM3;
	TMenuItem* SeparatorM4;
	TMenuItem* SeparatorM5;
	TMenuItem* SeparatorM6;
	TMenuItem* SeparatorM7;
	TMenuItem* SeparatorM8;
	TMenuItem* SeparatorM9;
	TMenuItem* SeparatorM10;
	TMenuItem* SeparatorM11;
	TMenuItem* SeparatorM12;
	TPopupMenu* PopupMenu1;
	TMenuItem* CutP1;
	TMenuItem* CopyP1;
	TMenuItem* PasteP1;
	TMenuItem* DeleteP1;
	TMenuItem* PriorityP1;
	TMenuItem* SetPrimaryP1;
	TMenuItem* SetSecondaryP1;
	TMenuItem* ToggleP1;
	TMenuItem* OpenP1;
	TMenuItem* ExploreP1;
	TMenuItem* PropertiesP1;
	TMenuItem* TotalSizeP1;
	TMenuItem* CopyToDirectoryP1;
	TMenuItem* MoveToDirectoryP1;
	TMenuItem* MoveToRecycleBinP1;
	TMenuItem* CreateShortcutsP1;
	TMenuItem* SpearatorP1;
	TMenuItem* SpearatorP2;
	TMenuItem* SpearatorP3;
	TMenuItem* SpearatorP4;
	TToolBar* ToolBar1;
	TToolButton* NewT1;
	TToolButton* AddFilesT1;
	TToolButton* SaveAsT1;
	TToolButton* CutT1;
	TToolButton* CopyT1;
	TToolButton* PasteT1;
	TToolButton* DeleteT1;
	TToolButton* SetPrimaryT1;
	TToolButton* StartT1;
	TToolButton* MoveToRecycleBinT1;
	TToolButton* SeparatorT1;
	TToolButton* SeparatorT2;
	TToolButton* SeparatorT3;
	TToolButton* SeparatorT4;
	TImageList* ImageList1;
	TImageList* ImageList2;
	TImageList* ImageList3;
	TPanel* Panel1;
	TPanel* Panel11;
	TPanel* Panel12;
	TGroupBox* GroupBox11;
	TPageControl* PageControl1;
	TTabSheet* TabSheet1;
	TTabSheet* TabSheet2;
	TTabSheet* TabSheet3;
	TTabSheet* TabSheet4;
	TLabel* Label11;
	TLabel* Label12;
	TLabel* Label13;
	TLabel* Label14;
	TLabel* Label15;
	TCheckBox* CheckBox11;
	TCheckBox* CheckBox12;
	TCheckBox* CheckBox13;
	TCheckBox* CheckBox14;
	TCheckBox* CheckBox15;
	TCheckBox* CheckBox16;
	TCheckBox* CheckBox17;
	TComboBox* ComboBox11;
	TComboBox* ComboBox12;
	TComboBox* ComboBox13;
	TOpenDialog* OpenDialog1;
	TSaveDialog* SaveDialog1;
	TStatusBar* StatusBar1;
	void __fastcall ApplicationIdle(TObject* ASender, bool& ADone);
	void __fastcall MainFormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall NewM1Click(TObject* ASender);
	void __fastcall AddM1Click(TObject* ASender);
	void __fastcall SaveAsM1Click(TObject* ASender);
	void __fastcall ExitM1Click(TObject* ASender);
	void __fastcall CutM1Click(TObject* ASender);
	void __fastcall CopyM1Click(TObject* ASender);
	void __fastcall PasteM1Click(TObject* ASender);
	void __fastcall DeleteM1Click(TObject* ASender);
	void __fastcall AllM1Click(TObject* ASender);
	void __fastcall NoneM1Click(TObject* ASender);
	void __fastcall ReverseM1Click(TObject* ASender);
	void __fastcall FirstInGroupM1Click(TObject* ASender);
	void __fastcall SingleInGroupM1Click(TObject* ASender);
	void __fastcall PriorityClick(TObject* ASender);
	void __fastcall FindM1Click(TObject* ASender);
	void __fastcall FitM1Click(TObject* ASender);
	void __fastcall ByNameM1Click(TObject* ASender);
	void __fastcall InvertM1Click(TObject* ASender);
	void __fastcall SizeM1Click(TObject* ASender);
	void __fastcall ButtonsM1Click(TObject* ASender);
	void __fastcall StartM1Click(TObject* ASender);
	void __fastcall ClearResultsM1Click(TObject* ASender);
	void __fastcall OpenM1Click(TObject* ASender);
	void __fastcall TotalSizeM1Click(TObject* ASender);
	void __fastcall CopyToDirectoryM1Click(TObject* ASender);
	void __fastcall CreateShortcutsM1Click(TObject* ASender);
	void __fastcall HelpM2Click(TObject* ASender);
	void __fastcall AboutM1Click(TObject* ASender);
	void __fastcall PopupMenuItemClick(TObject* ASender);
	void __fastcall ToolButtonClick(TObject* ASender);
	void __fastcall ControlEnter(TObject* ASender);
	void __fastcall ControlExit(TObject* ASender);
	void __fastcall CheckBoxClick(TObject* ASender);
	void __fastcall PageControlChange(TObject* ASender);
	void __fastcall PageControlChanging(TObject* ASender,
		bool& AAllowChange);
	void __fastcall ListViewColumnClick(TObject* ASender,
		TListColumn* AColumn);
	void __fastcall ListViewData(TObject* ASender, TListItem* AItem);
	void __fastcall ListViewDataFind(TObject* ASender, TItemFind AFind,
		const AnsiString AFindString, const TPoint& AFindPosition,
		Pointer AFindData, int AStartIndex, TSearchDirection ADirection,
		bool AWrap, int& AIndex);
	void __fastcall ListViewDblClick(TObject* ASender);
	void __fastcall ListViewFieldsChange(TObject* ASender);
	void __fastcall ListRecordsChange(TObject* ASender);
	void __fastcall ListRecordsDelete(TObject* ASender, void* AItem);
	void __fastcall ListViewChanged(TObject* ASender);
	void __fastcall ClipboardViewerChange(TObject* ASender);
	void __fastcall TextDialogClose(TObject* ASender, TCloseAction& AAction);
	void __fastcall ScanThreadMessage(TObject* ASender, AnsiString AMessage);
	void __fastcall ScanThreadProgress(TObject* ASender, int ADone,
		int AAll);
	void __fastcall ScanThreadResults(TObject* ASender,
		TScanRecordList* ADuplicate, TScanRecordList* AUnique,
		TScanRecordList* AError);
	void __fastcall ScanThreadError(TObject* ASender, AnsiString AMessage);
	void __fastcall ScanThreadTerminate(TObject* ASender);
	void __fastcall ProgressDialogActivate(TObject* ASender);
	void __fastcall ProgressDialogCloseQuery(TObject* ASender,
		bool& ACanClose);
private:
	class EInvalidInput : public Exception
	{
	public:
		__fastcall EInvalidInput(AnsiString AMessage);
	};
	struct TViewOptions
	{
		bool ToolBarButtons;
		bool ToolBarCaptions;
		bool StatusBar;
		bool RestorePositions;
		bool RestoreScanOptions;
		bool ConfirmExecuteMultiFiles;
		bool ConfirmDeleteFiles;
	};
	static const AnsiString INFO_ABOUT;
	static const AnsiString FILE_PATH;
	static const AnsiString FILE_SETTINGS;
	static const AnsiString FILE_HELP;
	TTypedList<TMenuLink>* FMenuLinks;
	TTypedList<TVirtualListView>* FListViews;
	TTypedList<TVirtualListView>* FResultListViews;
	TVirtualListView* FTargets;
	TVirtualListView* FDuplicate;
	TVirtualListView* FUnique;
	TVirtualListView* FError;
	TVirtualListView* FActiveListView;
	TTypedList<TScanField>* FScanFields;
	TFileSelector* FFileSelector;
	TTypedList<TOpenDialog>* FOpenDialogs;
	TClipboardViewer* FClipboardViewer;
	TScanThread* FScanThread;
	bool FInitialized;
	int FSavedDocCount;
	static bool __fastcall CaptionContainsStr(void* AList, int AIndex,
		void* AData);
	static bool __fastcall CaptionContainsText(void* AList, int AIndex,
		void* AData);
	static bool __fastcall CaptionStartsWithText(void* AList, int AIndex,
		void* AData);
	static int __fastcall CompareScanRecord(void* AItem1, void* AItem2,
		void* AData);
	void __fastcall Initialize();
	void __fastcall InitializeMenus();
	void __fastcall InitializeDialogs();
	void __fastcall InitializeListViews();
	void __fastcall InitializeScanFields();
	void __fastcall InitializeFileSelector();
	void __fastcall InitializeClipboardViewer();
	void __fastcall InitializeView();
	void __fastcall InitializeScanOptions();
	void __fastcall Uninitialize();
	void __fastcall UninitializeMenus();
	void __fastcall UninitializeListViews();
	void __fastcall UninitializeScanFields();
	void __fastcall UninitializeFileSelector();
	void __fastcall UninitializeClipboardViewer();
	void __fastcall LoadSettings();
	void __fastcall SaveSettings();
	void __fastcall ProcessCommandParams();
	void __fastcall ClickMenuItem(TObject* ASender);
	void __fastcall FilesDrop(TStrings* AFileNames);
	void __fastcall EnsureExecuteMultiFiles(int AFileCount);
	void __fastcall EnsureDeleteFiles(int AFileCount);
	void __fastcall GetScanTargets(TScanRecordList* AScanTargets);
	void __fastcall GetDstForFileOperation(TStrings* AFiles);
	void __fastcall GetSrcForFileOperation(TStrings* AFiles);
	void __fastcall SetActiveListView(TVirtualListView* AListView);
	TViewOptions __fastcall GetViewOptions();
	void __fastcall SetViewOptions(TViewOptions AViewOptions);
	TScanOptions __fastcall GetScanOptions();
	void __fastcall SetScanOptions(TScanOptions AScanOptions);
	void __fastcall EnsureEntriesForScanOptions();
	AnsiString __fastcall GetStatus();
	void __fastcall SetStatus(AnsiString AStatus);
	void __fastcall Change();
	void __fastcall UpdateActiveListView();
	void __fastcall UpdateMenuItemStates();
	void __fastcall UpdatePageStates();
	void __fastcall UpdateStatus();
	void __fastcall WMDropFiles(TMessage& AMessage);
	void __fastcall RaiseInvalidInput(AnsiString AMessage,
		TWinControl* AControl) const;
	void __fastcall RaiseInvalidOperation() const;
	void __fastcall SetScanRecordsToListView(TVirtualListView* AListView,
		TScanRecordList* AScanRecords) const;
	void __fastcall AddScanRecordsToListView(TVirtualListView* AListView,
		TScanRecordList* AScanRecords) const;
	void __fastcall ActivateFirstResultPage();
	bool __fastcall IsResultListView(TVirtualListView* AListView) const;
	TTabSheet* __fastcall GetPageOf(TControl* AControl) const;
	TIntegerDynArray __fastcall CountGroups(
		TVirtualListView* AListView) const;
	__property TTypedList<TMenuLink>* MenuLinks = {read=FMenuLinks};
	__property TTypedList<TVirtualListView>* ListViews = {read=FListViews};
	__property TTypedList<TVirtualListView>* ResultListViews = {
		read=FResultListViews};
	__property TVirtualListView* Targets = {read=FTargets};
	__property TVirtualListView* Duplicate = {read=FDuplicate};
	__property TVirtualListView* Unique = {read=FUnique};
	__property TVirtualListView* Error = {read=FError};
	__property TVirtualListView* ActiveListView = {read=FActiveListView,
		write=SetActiveListView};
	__property TTypedList<TScanField>* ScanFields = {read=FScanFields};
	__property TFileSelector* FileSelector = {read=FFileSelector};
	__property TTypedList<TOpenDialog>* OpenDialogs = {read=FOpenDialogs};
	__property TClipboardViewer* ClipboardViewer = {read=FClipboardViewer};
	__property TViewOptions ViewOptions = {read=GetViewOptions,
		write=SetViewOptions};
	__property TScanOptions ScanOptions = {read=GetScanOptions,
		write=SetScanOptions};
	__property AnsiString Status = {read=GetStatus, write=SetStatus};
	__property TScanThread* ScanThread = {read=FScanThread};
	__property bool Initialized = {read=FInitialized};
	__property int SavedDocCount = {read=FSavedDocCount,
		write=FSavedDocCount};
protected:
public:
	__fastcall TMainForm(TComponent* AOwner);
	virtual __fastcall ~TMainForm();
	DYNAMIC bool __fastcall IsShortCut(TWMKey& AMessage);
	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_DROPFILES, TMessage, WMDropFiles)
	END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm* MainForm;
//---------------------------------------------------------------------------
#endif

