//---------------------------------------------------------------------------
#ifndef SystemUtilsH
#define SystemUtilsH
#include <Classes.hpp>
//---------------------------------------------------------------------------
// Combo Boxes
//---------------------------------------------------------------------------
extern void __fastcall UpdateComboBoxHistory(TComboBox* AComboBox,
	int AMaxItemCount);
//---------------------------------------------------------------------------
// Files
//---------------------------------------------------------------------------
extern bool __fastcall FileOrDirExists(AnsiString AFileName);
extern bool __fastcall IsValidFileTime(const FILETIME& AFileTime);
extern AnsiString __fastcall FullyQualifyFileName(AnsiString AFileName);
//---------------------------------------------------------------------------
// List Views
//---------------------------------------------------------------------------
extern AnsiString __fastcall ListColumnsToCommaText(
	TListColumns* AListColumns);
extern AnsiString __fastcall ListItemToCommaText(TListItem* AListItem);
//---------------------------------------------------------------------------
// Numbers
//---------------------------------------------------------------------------
extern LARGE_INTEGER __fastcall MakeLargeInteger(DWORD ALowPart,
	LONG AHighPart);
extern LARGE_INTEGER __fastcall MakeLargeInteger(LONGLONG AQuadPart);
extern ULARGE_INTEGER __fastcall MakeULargeInteger(DWORD ALowPart,
	DWORD AHighPart);
extern ULARGE_INTEGER __fastcall MakeULargeInteger(DWORDLONG AQuadPart);
//---------------------------------------------------------------------------
// Strings
//---------------------------------------------------------------------------
extern AnsiString __fastcall FormatInteger(AnsiString AIntegerString);
extern AnsiString __fastcall FormatFileTime(FILETIME AFileTime);
//---------------------------------------------------------------------------
#endif

