//---------------------------------------------------------------------------
#ifndef TClipboardViewerH
#define TClipboardViewerH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TClipboardViewer : public TObject
{
private:
	HWND FHandle;
	HWND FNextHandle;
	bool FAdded;
	TNotifyEvent FOnChange;
	void __fastcall Initialize();
	void __fastcall InitializeWindow();
	void __fastcall InitializeChain();
	void __fastcall Uninitialize();
	void __fastcall UninitializeWindow();
	void __fastcall UninitializeChain();
	void __fastcall ProcessMessage(TMessage& AMessage);
	void __fastcall WMChangeCbChain(TMessage& AMessage);
	void __fastcall WMDrawClipboard(TMessage& AMessage);
	__property HWND Handle = {read=FHandle};
	__property HWND NextHandle = {read=FNextHandle, write=FNextHandle};
	__property bool Added = {read=FAdded};
protected:
public:
	__fastcall TClipboardViewer();
	__fastcall ~TClipboardViewer();
	__property TNotifyEvent OnChange = {read=FOnChange, write=FOnChange};
};
//---------------------------------------------------------------------------
#endif
