//---------------------------------------------------------------------------
#ifndef TFileEnumeratorH
#define TFileEnumeratorH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TFileEnumerator
{
private:
	HANDLE FFindHandle;
	WIN32_FIND_DATA FFindData;
	bool FCompleted;
	__fastcall TFileEnumerator(const TFileEnumerator& ASrc);
	TFileEnumerator& __fastcall operator=(const TFileEnumerator& ASrc);
	void __fastcall FindFirst(AnsiString AFindPattern);
	bool __fastcall FindRootDir(AnsiString AFindPattern);
	void __fastcall FindNext();
	void __fastcall Finish();
	__property HANDLE FindHandle = {read=FFindHandle};
	__property WIN32_FIND_DATA FindData = {read=FFindData};
	__property bool Completed = {read=FCompleted};
protected:
public:
	__fastcall TFileEnumerator(AnsiString AFindPattern);
	virtual __fastcall ~TFileEnumerator();
	virtual bool __fastcall HasNext() const;
	virtual WIN32_FIND_DATA __fastcall GetNext();
};
//---------------------------------------------------------------------------
#endif

