//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <FileCtrl.hpp>
#include "TFileSelector.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TFileSelector
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TFileSelector::TFileSelector() :
	FInitialDir()
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TFileSelector::~TFileSelector()
{
	// Do nothing
}
//---------------------------------------------------------------------------
bool __fastcall TFileSelector::SelectFiles(TOpenDialog* ADialog,
	AnsiString& AFileName, TStrings* AFiles)
{
	bool accepted = false;
	for(;;) {
		try {
			ADialog->InitialDir = InitialDir;
			ADialog->FileName = AFileName;
			if(AFiles != NULL) {
				ADialog->Files->Assign(AFiles);
			}
			else {
				ADialog->Files->Clear();
			}
			if(!ADialog->Execute()) {
				break;
			}
			accepted = true;
			InitialDir = ExtractFileDir(ADialog->FileName);
			AFileName = ADialog->FileName;
			if(AFiles != NULL) {
				AFiles->Assign(ADialog->Files);
			}
		}
		__finally {
			ADialog->Files->Clear();
			ADialog->FileName = AnsiString();
		}
		break;
	}
	return accepted;
}
//---------------------------------------------------------------------------
bool __fastcall TFileSelector::SelectDirectory(AnsiString AMessage,
	WideString ARootDir, AnsiString& ADirectory)
{
	bool accepted = false;
	for(;;) {
		AnsiString directory = ADirectory.Length() > 0 ?
			ADirectory :
			InitialDir;
		if(!::SelectDirectory(AMessage, ARootDir, directory)) {
			break;
		}
		accepted = true;
		InitialDir = directory;
		ADirectory = directory;
		break;
	}
	return accepted;
}
//---------------------------------------------------------------------------

