//---------------------------------------------------------------------------
#ifndef TFileSelectorH
#define TFileSelectorH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TFileSelector
{
private:
	AnsiString FInitialDir;
	__fastcall TFileSelector(const TFileSelector& ASrc);
	TFileSelector& __fastcall operator=(const TFileSelector& ASrc);
protected:
public:
	__fastcall TFileSelector();
	virtual __fastcall ~TFileSelector();
	virtual bool __fastcall SelectFiles(TOpenDialog* ADialog,
		AnsiString& AFileName, TStrings* AFiles);
	virtual bool __fastcall SelectDirectory(AnsiString AMessage,
		WideString ARootDir, AnsiString& ADirectory);
	__property AnsiString InitialDir = {read=FInitialDir, write=FInitialDir};
};
//---------------------------------------------------------------------------
#endif

