//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TListItemFinder.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TListItemFinder
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TListItemFinder::TListItemFinder()
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TListItemFinder::~TListItemFinder()
{
	// Do nothing
}
//---------------------------------------------------------------------------
int __fastcall TListItemFinder::Find(void* AList, int ACount,
	int AStartIndex, bool AInclusive, bool ADown, bool AWrap,
	TFindMatch AMatch, void* AData)
{
	int itemIndex = -1;
	int curItemIndex = AStartIndex;
	for(int i = 0; i < (AInclusive ? ACount : (ACount + 1)); i++) {
		if(!AInclusive && i == 0) {
			// Do nothing
		}
		else {
			if(AMatch(AList, curItemIndex, AData)) {
				itemIndex = curItemIndex;
				break;
			}
		}
		if(curItemIndex == 0 && !ADown) {
			if(!AWrap) {
				break;
			}
			curItemIndex = ACount - 1;
		}
		else if(curItemIndex == ACount - 1 && ADown) {
			if(!AWrap) {
				break;
			}
			curItemIndex = 0;
		}
		else {
			curItemIndex += ADown ? 1 : -1;
		}
	}
	return itemIndex;
}
//---------------------------------------------------------------------------

