//---------------------------------------------------------------------------
#ifndef TListItemFinderH
#define TListItemFinderH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TListItemFinder
{
public:
	typedef bool __fastcall (*TFindMatch)(void* AList, int AIndex,
		void* AData);
private:
	__fastcall TListItemFinder(const TListItemFinder& ASrc);
	TListItemFinder& __fastcall operator=(const TListItemFinder& ASrc);
protected:
public:
	__fastcall TListItemFinder();
	virtual __fastcall ~TListItemFinder();
	virtual int __fastcall Find(void* AList, int ACount, int AStartIndex,
		bool AInclusive, bool ADown, bool AWrap, TFindMatch AMatch,
		void* AData);
};
//---------------------------------------------------------------------------
#endif

