//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TMenuLink.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TMenuLink
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TMenuLink::TMenuLink(TMenuItem* AMenuItem) :
	FMenuItem(AMenuItem),
	FPopupMenuItem(NULL),
	FToolButton(NULL)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TMenuLink::~TMenuLink()
{
	// Do nothing
}
//---------------------------------------------------------------------------
bool __fastcall TMenuLink::IsControlAssociated(TObject* AControl) const
{
	return
		(AControl == MenuItem) ||
		(AControl == PopupMenuItem) ||
		(AControl == ToolButton);
}
//---------------------------------------------------------------------------
void __fastcall TMenuLink::UpdateControlStates()
{
	if(PopupMenuItem != NULL) {
		PopupMenuItem->Enabled = MenuItem->Enabled;
		PopupMenuItem->Checked = MenuItem->Checked;
	}
	if(ToolButton != NULL) {
		ToolButton->Enabled = MenuItem->Enabled;
	}
}
//---------------------------------------------------------------------------

