//---------------------------------------------------------------------------
#ifndef TMenuLinkH
#define TMenuLinkH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TMenuLink
{
private:
	TMenuItem* FMenuItem;
	TMenuItem* FPopupMenuItem;
	TToolButton* FToolButton;
	__fastcall TMenuLink(const TMenuLink& ASrc);
	TMenuLink& __fastcall operator=(const TMenuLink& ASrc);
protected:
public:
	__fastcall TMenuLink(TMenuItem* AMenuItem);
	virtual __fastcall ~TMenuLink();
	virtual bool __fastcall IsControlAssociated(TObject* AControl) const;
	virtual void __fastcall UpdateControlStates();
	__property TMenuItem* MenuItem = {read=FMenuItem};
	__property TMenuItem* PopupMenuItem = {read=FPopupMenuItem,
		write=FPopupMenuItem};
	__property TToolButton* ToolButton = {read=FToolButton,
		write=FToolButton};
};
//---------------------------------------------------------------------------
#endif

