//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TProgressDialog.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TProgressDialog* ProgressDialog = NULL;
//---------------------------------------------------------------------------
// class TProgressDialog : public TForm
//---------------------------------------------------------------------------
// __published:
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
AnsiString __fastcall TProgressDialog::GetMessage()
{
	return MessageLabel->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDialog::SetMessage(AnsiString AMessage)
{
	MessageLabel->Caption = AMessage;
}
//---------------------------------------------------------------------------
int __fastcall TProgressDialog::GetProgress()
{
	return ProgressBar->Position;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDialog::SetProgress(int AProgress)
{
	ProgressBar->Position = AProgress;
}
//---------------------------------------------------------------------------
int __fastcall TProgressDialog::GetMinProgress()
{
	return ProgressBar->Min;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDialog::SetMinProgress(int AMinProgress)
{
	ProgressBar->Min = AMinProgress;
}
//---------------------------------------------------------------------------
int __fastcall TProgressDialog::GetMaxProgress()
{
	return ProgressBar->Max;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDialog::SetMaxProgress(int AMaxProgress)
{
	ProgressBar->Max = AMaxProgress;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TProgressDialog::GetStatus()
{
	return StatusLabel->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDialog::SetStatus(AnsiString AStatus)
{
	StatusLabel->Caption = AStatus;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TProgressDialog::GetCommand()
{
	return CommandButton->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDialog::SetCommand(AnsiString ACommand)
{
	CommandButton->Caption = ACommand;
}
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TProgressDialog::TProgressDialog(TComponent* AOwner) :
	TForm(AOwner)
{
	// Do nothing
}
//---------------------------------------------------------------------------
void  __fastcall TProgressDialog::Execute()
{
	ShowModal();
}
//---------------------------------------------------------------------------
void  __fastcall TProgressDialog::ShowProgress(int ADone, int AAll)
{
	if(AAll <= 0) {
		Progress = MinProgress;
	}
	else if(ADone >= AAll) {
		Progress = MaxProgress;
	}
	else {
		Progress = MinProgress + static_cast<__int64>(MaxProgress -
			MinProgress) * ADone / AAll;
	}
}
//---------------------------------------------------------------------------

