//---------------------------------------------------------------------------
#ifndef TProgressDialogH
#define TProgressDialogH
//---------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TProgressDialog : public TForm
{
__published:
	TButton* CommandButton;
	TLabel* MessageLabel;
	TProgressBar* ProgressBar;
	TLabel* StatusLabel;
private:
	AnsiString __fastcall GetMessage();
	void __fastcall SetMessage(AnsiString AMessage);
	int __fastcall GetProgress();
	void __fastcall SetProgress(int AProgress);
	int __fastcall GetMinProgress();
	void __fastcall SetMinProgress(int AMinProgress);
	int __fastcall GetMaxProgress();
	void __fastcall SetMaxProgress(int AMaxProgress);
	AnsiString __fastcall GetStatus();
	void __fastcall SetStatus(AnsiString AStatus);
	AnsiString __fastcall GetCommand();
	void __fastcall SetCommand(AnsiString ACommand);
protected:
public:
	virtual __fastcall TProgressDialog(TComponent* AOwner);
	virtual void  __fastcall Execute();
	virtual void  __fastcall ShowProgress(int ADone, int AAll);
	__property AnsiString Message = {read=GetMessage, write=SetMessage};
	__property int Progress = {read=GetProgress, write=SetProgress};
	__property int MinProgress = {read=GetMinProgress, write=SetMinProgress};
	__property int MaxProgress = {read=GetMaxProgress, write=SetMaxProgress};
	__property AnsiString Status = {read=GetStatus, write=SetStatus};
	__property AnsiString Command = {read=GetCommand, write=SetCommand};
};
//---------------------------------------------------------------------------
extern PACKAGE TProgressDialog* ProgressDialog;
//---------------------------------------------------------------------------
#endif

