//---------------------------------------------------------------------------
#ifndef TStringTokenizerH
#define TStringTokenizerH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TStringTokenizer
{
private:
	AnsiString FString;
	AnsiString FDelimiters;
	const char* FTokenStart;
	__fastcall TStringTokenizer(const TStringTokenizer& ASrc);
	TStringTokenizer& __fastcall operator=(const TStringTokenizer& ASrc);
protected:
	virtual bool __fastcall IsDelimiter(const char* AStringPos);
	__property AnsiString String = {read=FString};
	__property AnsiString Delimiters = {read=FDelimiters};
	__property const char* TokenStart = {read=FTokenStart,
		write=FTokenStart};
public:
	__fastcall TStringTokenizer(AnsiString AString, AnsiString ADelimiters);
	virtual __fastcall ~TStringTokenizer();
	bool __fastcall HasNext() const;
	AnsiString __fastcall GetNext();
};
//---------------------------------------------------------------------------
#endif

